#include "stdio.h"
#include "delay.h"
#include "uart.h"

#include "eeprom.h"


uint32_t eeprom_data;

int main(void)
{
	uart2_tx_init(115200,16000000);

	systick_init_ms(16000000);

	eeprom_init(0x08010000, 10);

	printf("EEPROM size = %d\r\n",get_eeprom_size());
	eeprom_write(0, 0x11223344);
	eeprom_write(1, 0xbabababa);
	eeprom_write(2, 0xdeadbeef);
	eeprom_write(3, 0xFAFAFAFA);

	eeprom_read(0,&eeprom_data);
	printf("EEPROM data at address 0 is 0x%x\r\n",eeprom_data);


	eeprom_read(1,&eeprom_data);
	printf("EEPROM data at address 1 is 0x%x\r\n",eeprom_data);


	eeprom_read(2,&eeprom_data);
	printf("EEPROM data at address 2 is 0x%x\r\n",eeprom_data);


	eeprom_read(3,&eeprom_data);
	printf("EEPROM data at address 3 is 0x%x\r\n",eeprom_data);



	while(1)
	{



	}
}
